# Low Level Virtual Machine

### NAME

gccas

### SYNOPSIS

gccas [options] < filename>

### DESCRIPTION

The gccas utility takes an LLVM assembly file generated by GCC and converts it into an LLVM bytecode file. It is primarily used by the GCC front end, and as such, attempts to mimic the interface provided by the default system assembler so that it can act as a "drop-in" replacement.

### OPTIONS

- -help
  Print a summary of command line options.

- -o <filename>
  Specify the output filename which will hold the assembled bytecode.

- -stats
  Print statistics.

- -time-passes
  Record the amount of time needed for each pass and print it to standard error.

- -verify
  Verify each pass result.

### EXIT STATUS

If gccas succeeds, it will exit with 0. Otherwise, if an error occurs, it will exit with a non-zero value.

### SEE ALSO

llvm-dis

LLVM Team